@charset "UTF-8";

/*** Основные переопределения стилей шаблона ***/

/** Цвет фона страницы - начало **/

/* - Цвет фона страницы при настройке "по умолчанию" */
body, .sp-preloader {
    background-image: url("../../images/gc-body-fon.png");
	background-attachment: fixed;
	background-color: rgb(224, 224, 224);
}
/* - Цвет фона страницы при настройке "Boxed Layout" */
/* .layout-boxed .body-innerwrapper { */
    /* background: rgb(224, 224, 224); */
/* } */

/** Цвет фона страницы - конец **/

/** Заголовки - начало **/
.header-black {
	color: #000000;
}

/** Заголовки - конец **/

/** Ссылки - начало **/
a {
	/* text-decoration: underline; */
}
a:visited {
	
}
a:focus {
	
}
a:hover {
	
	
}
a:active {
	
}

/** Ссылки - конец **/

/** Кнопки - начало **/

/* Кастомная кнопка - GC */
.btn-custom {
    border-color: #fcd403;
    background-color: #fcd403 !important;
	border-radius: 20px;
    height: 40px;
	box-shadow: 0 0 5px rgba(0,0,0,0.5);
}
.btn-custom-lg {
    border-color: #fcd403;
    background-color: #fcd403;
	border-radius: 30px;
    height: 60px;
	padding: 20px 15px;
	font-size: 20px;
    line-height: 1.6;
	box-shadow: 0 0 5px rgba(0,0,0,0.5);
}
.btn-custom,.btn-custom-lg:hover {
    border-color: #fcd403;
    background-color: #FEDF42;
}
.btn-custom-login-menu {
	height: 50px;
    width: 125px;
    line-height: 35px;
	text-align: center;
	font-size: 1.2rem;
    font-weight: 500;
    color: #000000;
    border: 1px solid #f0f0f0;
    border-radius: 25px;
    background: rgba(240, 240, 240, 0.5);
    box-shadow: 10px 10px 30px 0px rgba(0, 0, 0, 0.25);
    padding: 5px;
}
.btn-custom-login-menu:hover {
	text-decoration: underline;
	background: #fff;
	border: none;
}
.btn-custom-login-menu:focus {
	box-shadow: none !important;
}
.btn-custom-login-menu:focus-visible {
    background-color: var(--bs-btn-hover-bg);
    border-color: var(--bs-btn-hover-border-color);
    outline: 0;
    box-shadow: var(--bs-btn-focus-box-shadow);
}
.btn-custom-login-menu:active {
    border: none !important;
}

/** Кнопки - конец **/

/** Бейджи - начало **/
/** Бейджи - конец **/

/** Карточки - начало **/

/* Кастомная карточка - GC */
.card-custom {
    border-color: #fcd403;
    background-color: rgba(252, 212, 3, 0.1);
	border-radius: 20px;
	box-shadow: 0 0 5px rgba(0,0,0,0.5);
	margin-bottom:15px;
}

/** Карточки - конец **/

/** Оформление тегов контента - начало **/

/* Цитаты по селектору тега <blockquote> */
blockquote {
	margin:15px 30px 15px 30px;
	padding-left:15px;
	position:relative;
	font-style:italic; 
	border-left: 3px solid #fcd403
}

/* Картинки */

/* - Картинки по селектору тега <figure> */
/*figure
{
  margin:0 0 15px 0
}*/

/* - Описание элемента картинки по тегу <figcaption> */
figcaption {
	font-family:'Roboto';
	color:#79828B;
	padding:10px 25px 20px 25px;
	line-height:18px;
	vertical-align:top;
	text-align:center
}

/* Таблицы */

/* - Описание элемента таблицы по тегу <caption> */
caption {
	font-family:'Roboto';
	color:#79828B;
	padding:10px 25px 20px 25px;
	line-height:18px;
	vertical-align:top;
	text-align:center
}

/** Оформление тегов контента - конец **/

/** Хедер страницы - начало **/

/* - Отступы для выравнивания границ с блоком контента */
#sp-header.full-header {
    padding-left: 15px;
    padding-right: 15px;
}

/* - Делаем прозрачный фон хедера*/
#sp-header {
    background: rgba(0, 0, 0, 0);
	/* background: #fcd403; */
	/* background-image: linear-gradient(90deg, #fcd403, #fff); */
}
div.container-fluid {
	max-width: 1600px !important; /* Ограничение максимальной ширины элемнтов хедера */
}

/* Логотип - начало */

/* - Внешние отступы блока логотипа */
#sp-header .logo {
    margin: 0;
}

/* - Внутренние отступы блока логотипа */
#sp-logo.has-border {
    position: relative;
    padding-right: 7px;
}

/* - Внутренние отступы картинки логотипа */
#sp-logo {
	padding-left: 0;
	padding-right: 0;
}

/* - Оформление логотипа в виде кнопки*/
#sp-header .logo a {
	font-size: 24px; 
	line-height: 1;
	opacity: 1;
	width: 125px; 
	/* height: 50px; */ /* высота логотипа задается в настройках шаблона */
	border: 0px solid #f0f0f0;
	border-radius: 25px;
	background: #fcd403;
	margin: 0;
	padding: 0; 
	box-shadow: 10px 10px 30px 0px rgba(0, 0, 0, 0.25); /* параметры тени */
	}
	
/* Логотип - конец */

/* Мегаменю - начало */

/* - Оформление ссылок в Мегаменю под кнопки */
.sp-megamenu-parent>li>a,.sp-megamenu-parent>li>span {
    display: inline-block;
	line-height: 50px; /* центрирование текста по вертикали */
	width: 125px;
    height: 50px;
    border: 0px solid #000;
	border-radius: 25px;
    background: rgba(240, 240, 240, 0.5); /* прозрачность фона кнопки*/
  	opacity: 0,5; /* прозрачность фона */
 	box-shadow: 10px 10px 30px 0px rgba(0, 0, 0, 0.25);
    padding: 0 5px;
    margin: 0 7px 0 0;
}
/* Делает ссылку подчеркнутой при наведении на нее курсора */
.sp-megamenu-parent>li>a:hover {
    text-decoration: underline;
	background: #fff;
}

.sp-megamenu-parent>li:last-child>a {
    padding: 0 5px; /* Делает внутренние отступы у последнего элемента меню */
}

/* - Оформление выпадающего подменю в Мегаменю */
.sp-megamenu-parent .sp-dropdown .sp-dropdown-items {
    list-style: none;
    padding: 0;
    margin: 0;
}

.sp-megamenu-parent .sp-dropdown li.sp-menu-item > a {
  font-size: 18px !important; }

/* Мегаменю - конец */

/* Позиция модулей в хедере - начало */
@media (max-width: 575px) {
    .header-has-modules .container-inner>.row {
        flex-wrap: nowrap !important;
    }
}
#sp-header .sp-module {
    margin-left: 7px;
}
#sp-header .sp-module:first-child {
    margin-left: 0px;
}
.header-modules {
    margin-left: 0px;
}
div#menu-right.col-auto.d-flex.align-items-center.ms-auto {
	/* margin-left: 0px !important; */
}

/* Позиция модулей в хедере - конец */

/* Блок "Поиск..." - начало */
/* - Прозрачный фон и отключение рамки */
input#mod-finder-searchword-header.js-finder-search-query.form-control {
    background-color: rgba(0, 0, 0, 0);
    border: 0px solid #fff;
}

/* Блок "Поиск..." - конец */

/* Блок Логин/Вход - начало */

/* - Офомление блока Логин/Вход/Поиск в виде кнопки */
#sp-header div.header-modules > div.sp-module {
    position: relative;
    height: 50px;
	width: 125px;
	line-height: 35px;
    font-size: 16px;
	text-align: center;
	color: #fff;
	border: 1px solid #f0f0f0;
	border-radius: 25px;
	background: rgba(240, 240, 240, 0.5);
 	box-shadow: 10px 10px 30px 0px rgba(0, 0, 0, 0.25);
    padding: 5px;
}
#sp-header div.header-modules > div.sp-module:hover {
	width: 100%;
	background: rgba(240, 240, 240, 0.7);
}
#sp-header div.header-modules > div.sp-module:active {
	width: 100%;
	background: rgba(240, 240, 240, 0.7);
}
#sp-header div.header-modules > div.sp-module:focus {
	width: 100%;
	background: rgba(240, 240, 240, 0.7);
}

/* #sp-header .sp-module:hover { */
	/* background: rgba(250, 250, 250, 0.8); */
/* } */

#menu-right .sp-module:first-child {
    border-right: 0px solid rgba(80, 80, 80, .2);
    padding-right: 0px;
}

.sp-sign-in {
	
}

/* - Скрываем отображение имени пользователя после входа на сайт*/
.sp-profile-wrapper span.user-text.d-none.d-xl-inline-block {
	display: none !important;
}

/* - Ширина блока меню ползователя после входа на сайт */
.sp-profile-wrapper {
    width: 35px;
}

/* - Ширина выпадающего меню ползователя после входа на сайт */
.sp-profile-wrapper .sp-profile-dropdown {
    width: 150px;
}

/* Блок Логин/Вход - конец */

/* Блок Меню - начало */
#menu-right {
	padding-right: 0px;
    padding-left: 0px;
}

/* Блок Меню - конец */

/* Уменьшение расстояния между Хедером и Компонентом */
#sp-main-body {
	padding-top: 25px;
}

/** Хедер - конец **/

/** Offcanvas - начало **/

/* - Оформление Offcanvas-меню */

/*offcanvas-menu border-menu center-alignment text-center {}
offcanvas-inner {}*/

/* - Оформление Offcanvas-меню выпадающее подменю*/
.offcanvas-menu .offcanvas-inner ul.menu>li>ul li a {
	display: block;
    position: relative;
    font-size: 18px;
    padding: 10px 0px;
    margin: 0 30px 10px 0;
    line-height: 18px;
    opacity: 0.7;
    transition: 0.3s;
}

/** Offcanvas - конец **/

/** Левая колонка - начало **/
/* - Прозрачный фон под модулями при фиксированной позиции модулей "sticky" */
div.inner-wrapper-sticky {
    background-color: rgba(0, 0, 0, 0) !important;
}


/** Левая колонка - конец **/

/** Оформление Статьи/Блога - начало **/

/* Блоки статьи: .article-header = (заголовок); .article-info = информация о статье (автор, категория, дата публикации, просмотры);  .article-intro-image = (картика превью статьи); .article-can-edit = (форматируемые поля); */
/* - Для одной статьи */
.view-article .article-details {
    display: flex;
    flex-direction: column;
}
.view-article .article-header {
    order: -2;
    margin-bottom: 10px;
}

.favorite_button.article_favorite_button {
    order: -2;
}

/* Для блога категории */
.article-list .articleBody, .article-list .article-body {
    display: contents;
}
.article-header {
    order: -4;
    margin-bottom: 10px;
}
.favorite_button {
    order: -4;
}
.article-intro-image {
    order: -3;
    margin-bottom: 10px;
}
.fields-container
 {
    order: -2;
    margin-bottom: 10px;
}
.article-info {
    order: -1;
    margin-bottom: 10px;
}
/* Оформление вывода блока статьи в блоге*/
.article-list .article {
    display: flex;
    flex-direction: column;    
	position: relative;
    margin-bottom: 30px;
    padding: 20px;
	background-color: rgba(240, 240, 240, 0.75);
    border: 1px solid #f5f5f5;
    border-radius: 40px;
	box-shadow: 0 0 10px rgba(0,0,0,0.5);
}
/* - Оформление ссылки "Подробнее" в виде кнопки */
.article-list .article .readmore > a {
    display: inline-block;
	line-height: 2em;
	border-color: #fcd403;
    background-color: #fcd403;
	border-radius: 20px;
    height: 40px;
	box-shadow: 0 0 3px rgba(0,0,0,0.5);
    padding:5px 10px;
}
.article-list .article .readmore > a:hover {
    border-color: #fcd403;
    background-color: #FEDF42;
}

/* Оформление вывода одиночной статьи */
.article-details {
	background-color: rgba(240, 240, 240, 0.75);
    border: 1px solid #f5f5f5;
    border-radius: 40px;
    padding: 20px;
}
ul.fields-container {
	list-style-type: none;
	padding-inline-start: 0;
	font-size: 1rem;
}

/* - Отключение вывода блока полей в одиночной статье */
/* .article-details .fields-container {
    display: none;
} */

/* - Отключение вывода поля "Краткое содержание" в одиночной статье */
.article-details .fields-container .article-summary {
    display: none;
}

/* - Отключение вывода поля "Автор" в одиночной статье */
.article-details .fields-container .article-author {
    display: none;
}

/* - Отключение вывода поля "Аватар автора" в одиночной статье */
.article-details .fields-container .article-authors-avatar {
    display: none;
}

/** Оформление Статьи/Блога - конец **/

/** Метки статей **/

/* - Цвет Метки избранных статей */
.bg-danger {
    --bs-bg-opacity: 1;
    background-color: #fcd403 !important;
}
/* .featured-article-badge {
	content: "Избранная";
} */

/* - Положение Метки избранных статей в блоге */
.article-list .article .featured-article-badge {
    display: none; /* скрытие элемента */
	visibility: hidden; /* скрытие элемента */
	position: absolute;
    top: 5px;
    left: auto;
	right: 5px;
    cursor: default;
}

/* - Положение Метки избранных статей в статье */
.article-details .featured-article-badge {
    display: none; /* скрытие элемента */
	visibility: hidden; /* скрытие элемента */
	position: absolute;
    top: 5px;
    left: auto;
	right: 5px;
    cursor: default;
}

/** Поле добавления в "Избранное" **/
.favorite_button.article_favorite_button {
	width: 200px;
    display: inline-block;
	position: sticky;
	right: 0;
    vertical-align: middle;
    border: none;
    border-radius: 10px;
}
.article_favorite_button .open-tooltip-favorite {
    padding: 10px 0;
}
.favorite_button {
    width: 30px;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    margin: 0 0 10px 0;
}


/*** Основные переопределения стилей для компонентов ***/
/** Календарь - ICagenda - начало **/
/* Страница события */
/* - Контейнер компонента */
div#icagenda {
	background-color: rgba(240, 240, 240, 0.75);
    border: 1px solid #f5f5f5;
    border-radius: 40px;
    padding: 20px 10px;	
}
/* - Кнопка "Назад" */
#icagenda > div.ic-top-buttons > div.ic-back {
    color: #fff;
	height: 40px;
    width: 120px;
	padding: 5px;
	font-size: 1rem;
	text-align: center;
	line-height: 2;
    border-color: #6c757d;
    background-color: #6c757d;
    border-radius: 20px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
}
#icagenda > div.ic-top-buttons > div.ic-back:hover {
    background-color: #565e64;
    border-color: #565e64;
}
#icagenda > div.ic-top-buttons > div.ic-back > span {
    display: inline-block;
	color: #fff;
    font-family: 'iCicons', sans-serif !important;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
#icagenda > div.ic-top-buttons > div.ic-back > a > span {
	color: #fff;
	font-size: 1rem;
	line-height: 2;
}
/* - заголовок */
#icagenda > div.ic-event-header.ic-clearfix > h1 {
    font-family: 'Manrope', sans-serif;
    font-size: 2rem;
    font-weight: 700;
    text-decoration: none;
    text-align: left;
	padding: 15px 0;
}
/* - Контейнер информации */
#icagenda > div.ic-info.ic-clearfix {
	padding: 0;
    background: none;
	background-color: rgba(240, 240, 240, 0);
    border: 0px solid #ccc;
    margin-bottom: 0;
    border-radius: 6px;
    word-break: break-word;
    word-wrap: break-word;
}
/* - Картинка */
#icagenda > div.ic-info.ic-clearfix > div.ic-image.ic-align-center {
	display: flex;
    justify-content: center;
}
#icagenda > div.ic-info.ic-clearfix > div.ic-image.ic-align-center > img {
    display: block;
    width: 100%;
    height: auto;
	border-radius: 20px;
}
/* - Таблица информации */
div.ic-divRow {
	border-bottom: 1px solid rgba(157, 157, 157, 0.25);
}
div.ic-divCell.ic-label {}
div.ic-divCell.ic-value {}
div.ic-divCell.ic-value > a {
	text-decoration: underline;
}
/* - Все даты: */
#ic-list-of-dates {}
#ic-list-of-dates > div {}
#ic-list-of-dates > div > ul {
    padding: 0 0 0 20px;
    list-style-type: circle;
}
/* - Календарь - ICagenda - скрытие ссылки на "ICagenda" */
#sp-component > div > div:nth-child(3) > p {
	display: none;
}

/** Календарь - ICagenda - конец **/
